#!/usr/bin/env python

"""
correlate names of talos
"""

import api
import sys
import optparse
from pprint import pprint

def main(args=sys.argv[1:]):

    # parse command line options
    usage = '%prog [options] [name]'
    class PlainDescriptionFormatter(optparse.IndentedHelpFormatter):
        """description formatter for console script entry point"""
        def format_description(self, description):
            if description:
                return description.strip() + '\n'
            else:
                return ''
    parser = optparse.OptionParser(usage=usage, description=__doc__, formatter=PlainDescriptionFormatter())
    options, args = parser.parse_args(args)

    # get the names from graphserver
    names = api.TalosNames()

    if not args:
        args = [None]
    for arg in args:
        for name, graphserver_name in names(arg):
            print '%s : %s' % (name, graphserver_name)
        print

if __name__ == '__main__':
  main()

